<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

	<title>Bootstrap Introduction and Simple Styles</title>
</head>
<body class="text-center bg-secondary">

	<!-- Where to search bootstrap classes I need?:
	https://getbootstrap.com/docs/5.3/getting-started/introduction/
	 -->

	 <!-- Know what css properties use in a bootstrap class:
	https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css
	 -->

	 <!-- Navbar -->
	<!-- Many of you might having a problem using stick, bootstrap fixed-top is an easy solution to create a sticky top nav bar -->


	<div class="bg-primary text-light fixed-top">Fixed Top-Navbar
	</div>

	<!-- Header -->
	<div class="mt-5">
		<h1>Bootstrap Introduction and Simple Styles</h1>
		<div class="d-inline-block w-25 mt-4">
			<img src="https://www.drupal.org/files/project-images/bootstrap-stack.png" class="rounded-circle bg-white img-fluid">

		</div>
	</div>


	<!-- Bootstrap Color classes table -->
	<h2>Bootstrap Color Classes</h2>

	<div class="container-fluid mt-5 mb-5">
		<table class="table table-dark table-bordered">
			<thead>
				<tr>
					<th>Text</th>
					<th>Background</th>
				</tr>


			</thead>

			<tbody>
				<tr>
					<td><a href="#" class="text-primary">Primary Link</a></td>
					<td class="bg-primary">Primary</td>
				</tr>
				<tr>
					<td><a href="#" class="text-secondary">Secondary Link</a></td>
					<td class="bg-secondary">Secondary</td>
				</tr>
				<tr>
					<td><a href="#" class="text-success">Success Link</a></td>
					<td class="bg-success">Success</td>
				</tr>
				<tr>
					<td><a href="#" class="text-danger">Danger Link</a></td>
					<td class="bg-danger">Danger</td>
				</tr>
				<tr>
					<td><a href="#" class="text-warning">Warning Link</a></td>
					<td class="bg-warning">Warning</td>
				</tr>
				<tr>
					<td><a href="#" class="text-info">Info Link</a></td>
					<td class="bg-info">Info</td>
				</tr>
				<tr>
					<td><a href="#" class="text-light">Light Link</a></td>
					<td class="bg-light text-dark">Light</td>
				</tr>
				<tr>
					<td><a href="#" class="text-dark">Dark Link</a></td>
					<td class="bg-dark text-white">Dark</td>
				</tr>
				<tr>
					<td><a href="#" class="text-muted">Muted Link</a></td>
					<td class="bg-transparent">Muted</td>
				</tr>
				<tr>
					<td><a href="#" class="text-white">White Link</a></td>
					<td class="bg-white text-dark">White</td>
				</tr>
			</tbody>

		</table>

		<!-- Bootstrap Text AlignmentClasses Table -->
		<h2>Bootstrap Text Classes</h2>

		<table class="table table-dark table-bordered">
			<thead>
				<tr>
					<th>Alignment</th>
				</tr>
			</thead>

			<tbody>

				<tr>
					<td class="text-left">Left</td>
				</tr>

				<tr>
					<td class="text-center">Center</td>
				</tr>

				<tr>
					<td class="text-right">Right</td>
				</tr>

				<tr>
					<td class="text-sm-center">Small Center</td>
				</tr>

				<tr>
					<td class="text-left text-md-right">Others Right/Medium Left</td>
				</tr>

				<tr>
					<td class="text-xl-center">Extra Large</td>
				</tr>

			</tbody>
		</table>

		<!-- Bootstrap Other Text Classes Table -->
		<h2>Bootstrap Text Classes</h2>

		<div class="text-light bg-dark">

			<h6>Border</h6>

			<div class="bg-info border border-primary rounded w-25 d-inline-block m-3">Rounded</div>
			<div class="bg-secondary border border-white rounded-circle w-25 d-inline-block m-3">Rounded Circle</div>
			<div class="bg-warning border border-danger rounded-pill w-25 d-inline-block m-3">Rounded Pill</div>

		</div>


	</div>
	


<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.14.7/dist/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>


</body>
</html>

